#include "Strings.h"
#include "Strings_EN.h"
#include "Strings_ZH.h"

namespace meshtastic
{
namespace l10n
{

meshtastic_Language currentDisplayLanguage = meshtastic_Language_ENGLISH;

const char *getString(StringKey key, meshtastic_Language lang)
{
    if (lang == meshtastic_Language_SIMPLIFIED_CHINESE || lang == meshtastic_Language_TRADITIONAL_CHINESE)
        return getStringZH(key);
    return getStringEN(key);
}

} // namespace l10n
} // namespace meshtastic
